Results 1 to 6 of 6

Thread: updating

  1. #1
    Member
    Join Date
    Jan 2007
    Posts
    117

    Default updating

    i tried to update my flashdrive install of BT2 and got the following errors

    bt ~ # slapt-get --dist-upgrade
    Reading Package Lists... Done
    The following packages have been EXCLUDED:
    devs glibc-zoneinfo kernel-ide kernel-modules glibc kernel-headers python ruby
    The following NEW packages will be installed:
    apmd genpower hotplug loadlin mkinitrd pcmcia-cs sharutils syslinux
    The following packages will be upgraded:
    minicom tar tcsh autoconf bind curl cvs fluxbox gd gdb gdbm gettext-tools gftp
    hicolor-icon-theme jre kdebase kdelibs kdenetwork kdeutils kdewebdev libpng
    ncftp nfs-utils pkgconfig qt readline samba screen slang stunnel x11-devel
    xchat xpdf
    33 upgraded, 8 newly installed, 0 to remove and 8 not upgraded.
    Need to get 155.8MB/158.9MB of archives.
    After unpacking 17.0MB of additional disk space will be used.
    Do you want to continue? [y/N] y
    Get http://slackware.mirrors.tds.net/pub...lackware-11.0/ bind 9.3.4-i486-1_slack11.0 [1MB]...Failed to download: The requested URL returned error: 404
    bt ~ # slapt-get --upgrade
    Reading Package Lists... Done
    The following packages have been EXCLUDED:
    glibc glibc-zoneinfo kernel-headers python ruby
    The following packages will be upgraded:
    autoconf bind cvs fluxbox gdbm gettext-tools gftp hicolor-icon-theme jre
    kdebase kdelibs kdenetwork kdeutils libpng minicom ncftp nfs-utils pkgconfig
    qt samba screen slang stunnel tar tcsh x11-devel xchat xpdf
    28 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
    Need to get 146.5MB/148.5MB of archives.
    After unpacking 23.1MB of additional disk space will be used.
    Do you want to continue? [y/N] y
    Get http://slackware.mirrors.tds.net/pub...lackware-11.0/ bind 9.3.4-i486-1_slack11.0 [1MB]...Failed to download: The requested URL returned error: 404
    bt ~ #


    sounds to me like one of the packages got deleted, is there any way to exclude that and do all the other ones?

  2. #2
    Member imported_blackfoot's Avatar
    Join Date
    Jun 2007
    Posts
    386

    Default looks fine

    Looks fine to me

    Kernel is normally a positive upgrade experience and is excluded in the slapt getrc to protect you from unexpected updates. Probably the same for glibc so they don't break any packages.

    Slapt-get does not resolve dependencies.

    Search slapt-get in a text search engine.
    Lux sit

  3. #3
    Member
    Join Date
    Jan 2007
    Posts
    117

    Default

    Get http://slackware.mirrors.tds.net/pub...lackware-11.0/ bind 9.3.4-i486-1_slack11.0 [1MB]...Failed to download: The requested URL returned error: 404

    this is the problem im referring to. doesnt seem to like downloading that file

  4. #4
    Member imported_blackfoot's Avatar
    Join Date
    Jun 2007
    Posts
    386

    Default exclude

    specifically exclude the file
    http://www.slackersbible.org/?q=node/98
    Lux sit

  5. #5
    Member
    Join Date
    Jan 2007
    Posts
    117

    Default

    i had to do the slapt-get --update first. but it didnt work very well. pretty much killed my installation.

  6. #6
    Developer balding_parrot's Avatar
    Join Date
    May 2007
    Posts
    3,399

    Default

    You should always do

    slapt-get --update

    before

    slapt-get --dist-upgrade


    That will tell slapt-get all of the new packages available, and all of the files that have newer versions or different filenames, which will solve the problem you got.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •